unit Control_Panel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TControlPanel = class(TForm)
    Button1: TButton;
    Button2: TButton;
    StaticText1: TStaticText;
    RedButton: TRadioButton;
    GreenButton: TRadioButton;
    BlueButton: TRadioButton;
    StaticText2: TStaticText;
    EditCoor: TEdit;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    procedure SetDraw2D(Sender: TObject);
    procedure Rez_RGB(Sender: TObject);
    procedure Finish(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Hodnota:Byte;
  end;

var
  ControlPanel: TControlPanel;

implementation

uses Graph2D;

{$R *.DFM}

procedure TControlPanel.Rez_RGB(Sender: TObject);
var Red,Green,Blue,i,j:Byte;
    A                 :TPixel;
    Value,Code        :Integer;
begin
  Val(EditCoor.Text,Value,Code);
  for j:=0 to 255 do
  begin
    A[2]:=j;
    for i:=0 to 255 do
    begin
     A[1]:=i;
     if RedButton.Checked
       then begin Red:=Value;Green:=i;Blue:=j;end;
     if GreenButton.Checked
       then begin Red:=i;Green:=Value;Blue:=j;end;
     if BlueButton.Checked
       then begin Red:=i;Green:=j;Blue:=Value;end;
     Draw2D.PutPixel(A,Red,Green,Blue);
    end;
    if j mod 16 = 0 then Draw2D.Image1.Repaint;
  end;
  Draw2D.Image1.Repaint;
end;

procedure TControlPanel.Finish(Sender: TObject);
begin
  Draw2D.Visible:=False;
  Halt;
end;

procedure TControlPanel.SetDraw2D(Sender: TObject);
begin
   Application.CreateForm(TDraw2D, Draw2D);
   With Draw2D do
   begin
     Caption:='Cut of RGB Box';
     ClientWidth:=256;ClientHeight:=256;
     InitImage(256,256);
     ClearImage(255,255,255);
     Visible:=TRue;
   end;
end;

end.
